OSDir

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: question on running cassandra-dtests


The complete error is needed. I get something similar if I hadn't run `pip3 install -r requirements.txt`:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/_pytest/config.py", line 328, in _getconftestmodules
    return self._path2confmods[path]
KeyError: local('/home/muru/dev/cassandra-dtest')

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/_pytest/config.py", line 359, in _importconftest
    return self._conftestpath2mod[conftestpath]
KeyError: local('/home/muru/dev/cassandra-dtest/conftest.py')

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/_pytest/config.py", line 365, in _importconftest
    mod = conftestpath.pyimport()
  File "/usr/local/lib/python3.6/site-packages/py/_path/local.py", line 668, in pyimport
    __import__(modname)
  File "/usr/local/lib/python3.6/site-packages/_pytest/assertion/rewrite.py", line 212, in load_module
    py.builtin.exec_(co, mod.__dict__)
  File "/home/muru/dev/cassandra-dtest/conftest.py", line 13, in <module>
    from dtest import running_in_docker, cleanup_docker_environment_before_test_execution
  File "/home/muru/dev/cassandra-dtest/dtest.py", line 12, in <module>
    import cassandra
ModuleNotFoundError: No module named 'cassandra'
ERROR: could not load /home/muru/dev/cassandra-dtest/conftest.py

Of course, `pip3 install -r requirements.txt` creates an `src` directory with appropriate branches of ccm and cassandra-driver checked out.

If you have run `pip3 install -r requirements.txt`, then something else is wrong and we need the complete error log.

On 2018/03/23 20:22:47, "Tyagi, Preetika" <preetika.tyagi@xxxxxxxxx> wrote: 
> Hi All,
> 
> I am trying to setup and run Cassandra-dtests so that I can write some tests for a JIRA ticket I have been working on.
> This is the repo I am using: https://github.com/apache/cassandra-dtest
> I followed all the instructions and installed dependencies.
> 
> However, when I run "pytest -cassandra-dir=<path to Cassandra source root directory>
> 
> It throws the error "could not load <some path>/conftest.py.
> 
> I checked that this file (conftest.py) exists in Cassandra-dtest source root and I'm not sure why it cannot find it. Does anyone have any idea what might be going wrong here?
> 
> I haven't used dtests before so I wonder if I'm missing something here.
> 
> Thanks,
> Preetika
> 
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@xxxxxxxxxxxxxxxxxxxx
For additional commands, e-mail: dev-help@xxxxxxxxxxxxxxxxxxxx